### Method

# Clutter BlitNode add_blit_rectangle

#### Declaration [src]

    void
    clutter_blit_node_add_blit_rectangle (
      ClutterBlitNode* blit_node,
      int src_x,
      int src_y,
      int dst_x,
      int dst_y,
      int width,
      int height
    )

#### Description [src]

Adds a new blit rectangle to the stack of rectangles. All the constraints of `cogl_blit_framebuffer()` apply here.

#### Parameters

`src_x`

  Type: `int`

  Source x position.

`src_y`

  Type: `int`

  Source y position.

`dst_x`

  Type: `int`

  Destination x position.

`dst_y`

  Type: `int`

  Destination y position.

`width`

  Type: `int`

  Width of region to copy.

`height`

  Type: `int`

  Height of region to copy.